package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Btt;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface BttMapper {

    int insert(Btt record);

    int insertSelective(Btt record);

    int updateByPrimaryKeySelective(Btt record);

    int updateByPrimaryKey(Btt record);

    int deleteByPrimaryKey(Btt record);

    int deleteByIds(Collection<Object> collection);

    Btt selectByPrimaryKey(Btt record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Btt> dyncRead(Map<String, Object> dyncMap);

}